%define upstream_name    Data-BitStream-XS
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 12

Summary:    A bit stream class including integer coding methods
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(XSLoader)
BuildRequires: perl-devel

%description
An XS implementation providing read/write access to bit streams. This
includes many integer coding methods as well as straightforward ways to
implement new codes.

Bit streams are often used in data compression and in embedded products
where memory is at a premium.

This code provides a nearly drop-in XS replacement for the the
Data::BitStream manpage module. If you do not need the flexibility of the
Moose/Mouse/Moo system, you can use this directly.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc META.json TODO LICENSE README META.yml Changes
%{_mandir}/man3/*
%perl_vendorarch/*




%changelog
* Wed Jun 17 2020 umeabot <umeabot> 0.80.0-12.mga8
+ Revision: 1594393
- Rebuild for perl 5.32

* Sun Feb 16 2020 umeabot <umeabot> 0.80.0-11.mga8
+ Revision: 1529436
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tmb <tmb> 0.80.0-10.mga8
+ Revision: 1433484
- rebuild for perl 5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.80.0-9.mga7
+ Revision: 1292681
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.80.0-8.mga7
+ Revision: 1248997
- Fix file list
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.80.0-7.mga7
+ Revision: 1163743
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.80.0-6.mga7
+ Revision: 1148927
- Rebuild for perl ABI changes

* Sat Jul 22 2017 neoclust <neoclust> 0.80.0-5.mga7
+ Revision: 1126502
- Rebuild against new Perl 5.26

* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-4.mga6
+ Revision: 1024789
- Rebuild for perl 5.22.2

* Fri Feb 12 2016 umeabot <umeabot> 0.80.0-3.mga6
+ Revision: 957018
- Mageia 6 Mass Rebuild

* Thu Jun 25 2015 sander85 <sander85> 0.80.0-2.mga6
+ Revision: 843862
- Rebuild for perl 5.22

* Mon Oct 20 2014 tv <tv> 0.80.0-1.mga5
+ Revision: 792096
- imported package perl-Data-BitStream-XS


* Mon Oct 20 2014 Thierry Vignaud <tv@mageia.org> 0.80.0-1.mga5
- initial mageia release, generated with cpan2dist
